Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLStructuredDataReader Class Reference

`#include <vtkXMLStructuredDataReader.h>`

Inheritance diagram for vtkXMLStructuredDataReader:

[legend]
Collaboration diagram for vtkXMLStructuredDataReader:

[legend]
List of all members.

## Detailed Description

Superclass for structured data XML readers.

Date:
  2002/10/23 15:49:47

Revision:
  1.2

vtkXMLStructuredDataReader provides functionality common to all structured data format readers.

See also:
  vtkXMLImageDataReader vtkXMLStructuredGridReader vtkXMLRectilinearGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (98%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLStructuredDataReader.cxx)`
  - .`h` (`/IO/vtkXMLStructuredDataReader.h)`

Definition at line 46 of file vtkXMLStructuredDataReader.h.

## Public Types
typedef vtkXMLDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkIdType | GetNumberOfPoints ()
virtual vtkIdType | GetNumberOfCells ()
virtual void | SetWholeSlices (int)
virtual int | GetWholeSlices ()
virtual void | WholeSlicesOn ()
virtual void | WholeSlicesOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLStructuredDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLStructuredDataReader ()
| ~vtkXMLStructuredDataReader ()
virtual void | SetOutputExtent (int *extent)=0
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | ReadXMLData ()
void | SetupEmptyOutput ()
void | SetupPieces (int numPieces)
void | DestroyPieces ()
int | ReadArrayForPoints (vtkXMLDataElement *da, vtkDataArray *outArray)
int | ReadArrayForCells (vtkXMLDataElement *da, vtkDataArray *outArray)
int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadSubExtent (int *inExtent, int *inDimensions, int *inIncrements, int *outExtent, int *outDimensions, int *outIncrements, int *subExtent, int *subDimensions, vtkXMLDataElement *da, vtkDataArray *array)
## Protected Attributes
int * | PieceExtents
int * | PiecePointDimensions
int * | PiecePointIncrements
int * | PieceCellDimensions
int * | PieceCellIncrements
int | WholeSlices
int | UpdateExtent [6]
int | PointDimensions [3]
int | CellDimensions [3]
int | PointIncrements [3]
int | CellIncrements [3]
int | SubExtent [6]
int | SubPointDimensions [3]
int | SubCellDimensions [3]

## Member Typedef Documentation

typedef vtkXMLDataReader vtkXMLStructuredDataReader::Superclass

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader. Definition at line 49 of file vtkXMLStructuredDataReader.h.

## Constructor & Destructor Documentation

vtkXMLStructuredDataReader::vtkXMLStructuredDataReader | ( |  | ) | `[protected]`

vtkXMLStructuredDataReader::~vtkXMLStructuredDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLStructuredDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

int vtkXMLStructuredDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

virtual int vtkXMLStructuredDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

vtkXMLStructuredDataReader* vtkXMLStructuredDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

void vtkXMLStructuredDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

virtual vtkIdType vtkXMLStructuredDataReader::GetNumberOfPoints | ( |  | ) | `[virtual]`

| Get the number of points in the output. Implements vtkXMLDataReader.

virtual vtkIdType vtkXMLStructuredDataReader::GetNumberOfCells | ( |  | ) | `[virtual]`

| Get the number of cells in the output. Implements vtkXMLDataReader.

virtual void vtkXMLStructuredDataReader::SetWholeSlices | ( | int |  | ) | `[virtual]`

| Get/Set whether the reader gets a whole slice from disk when only a rectangle inside it is needed. This mode reads more data than necessary, but prevents many short reads from interacting poorly with the compression and encoding schemes.

virtual int vtkXMLStructuredDataReader::GetWholeSlices | ( |  | ) | `[virtual]`

| Get/Set whether the reader gets a whole slice from disk when only a rectangle inside it is needed. This mode reads more data than necessary, but prevents many short reads from interacting poorly with the compression and encoding schemes.

virtual void vtkXMLStructuredDataReader::WholeSlicesOn | ( |  | ) | `[virtual]`

| Get/Set whether the reader gets a whole slice from disk when only a rectangle inside it is needed. This mode reads more data than necessary, but prevents many short reads from interacting poorly with the compression and encoding schemes.

virtual void vtkXMLStructuredDataReader::WholeSlicesOff | ( |  | ) | `[virtual]`

| Get/Set whether the reader gets a whole slice from disk when only a rectangle inside it is needed. This mode reads more data than necessary, but prevents many short reads from interacting poorly with the compression and encoding schemes.

virtual void vtkXMLStructuredDataReader::SetOutputExtent | ( | int * | extent | ) | `[protected, pure virtual]`

| Implemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

int vtkXMLStructuredDataReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLImageDataReader.

void vtkXMLStructuredDataReader::ReadXMLData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader.

void vtkXMLStructuredDataReader::SetupEmptyOutput | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLStructuredDataReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

void vtkXMLStructuredDataReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

int vtkXMLStructuredDataReader::ReadArrayForPoints | ( | vtkXMLDataElement * | da,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

int vtkXMLStructuredDataReader::ReadArrayForCells | ( | vtkXMLDataElement * | da,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

int vtkXMLStructuredDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLRectilinearGridReader, and vtkXMLStructuredGridReader.

int vtkXMLStructuredDataReader::ReadSubExtent | ( | int * | inExtent,
|  | int * | inDimensions,
|  | int * | inIncrements,
|  | int * | outExtent,
|  | int * | outDimensions,
|  | int * | outIncrements,
|  | int * | subExtent,
|  | int * | subDimensions,
|  | vtkXMLDataElement * | da,
|  | vtkDataArray * | array
| ) | `[protected]`

## Member Data Documentation

int* vtkXMLStructuredDataReader::PieceExtents`[protected]`

| Definition at line 80 of file vtkXMLStructuredDataReader.h.

int* vtkXMLStructuredDataReader::PiecePointDimensions`[protected]`

| Definition at line 81 of file vtkXMLStructuredDataReader.h.

int* vtkXMLStructuredDataReader::PiecePointIncrements`[protected]`

| Definition at line 82 of file vtkXMLStructuredDataReader.h.

int* vtkXMLStructuredDataReader::PieceCellDimensions`[protected]`

| Definition at line 83 of file vtkXMLStructuredDataReader.h.

int* vtkXMLStructuredDataReader::PieceCellIncrements`[protected]`

| Definition at line 84 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::WholeSlices`[protected]`

| Definition at line 87 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::UpdateExtent[6]`[protected]`

| Definition at line 90 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::PointDimensions[3]`[protected]`

| Definition at line 91 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::CellDimensions[3]`[protected]`

| Definition at line 92 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::PointIncrements[3]`[protected]`

| Definition at line 93 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::CellIncrements[3]`[protected]`

| Definition at line 94 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::SubExtent[6]`[protected]`

| Definition at line 97 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::SubPointDimensions[3]`[protected]`

| Definition at line 98 of file vtkXMLStructuredDataReader.h.

int vtkXMLStructuredDataReader::SubCellDimensions[3]`[protected]`

| Definition at line 99 of file vtkXMLStructuredDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLStructuredDataReader.h